Subject: Ticket Assigned - Enquiry about my order
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Mon, 05 Jul 2021 03:19:38 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Enquiry about my order To whom it may concern
Kindly help me, I am the owner number 8274425052, yesterday evening I was
at home centre Sama Mall to enquire about this order there was nothing
except for an order I made after this one.  This morning I received your
massege that my order is still waiting for me and to be returned if not
claimed.  Where will I get the order now because at the shop they do not
have it.

Please help me.

Lungile Kunene
Contact: 66027094

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2808419